Loading...
Searching...
No Matches
BALL::BALLPlugin Class Referenceabstract

`#include <BALL/PLUGIN/BALLPlugin.h>`

## Public Member Functions

virtual | ~BALLPlugin ()
virtual QString | getName () const =0
virtual QString | getDescription () const =0
virtual bool | isActive ()=0
virtual bool | activate ()=0
virtual bool | deactivate ()=0

## Detailed Description

Definition at line 20 of file BALLPlugin.h.

## Constructor & Destructor Documentation

## ~BALLPlugin()

virtual BALL::BALLPlugin::~BALLPlugin | ( |  | ) |

inline virtual

Definition at line 23 of file BALLPlugin.h.

## Member Function Documentation

## activate()

virtual bool BALL::BALLPlugin::activate | ( |  | ) |

pure virtual

Activate the plugin.

Returns
  true if no problems during activation occurred, false otherwise

## deactivate()

virtual bool BALL::BALLPlugin::deactivate | ( |  | ) |

pure virtual

Deactivate the plugin.

Returns
  true if no problems during deactivation occurred, false otherwise

## getDescription()

virtual QString BALL::BALLPlugin::getDescription | ( |  | ) | const

pure virtual

Returns a description of the plugin

Returns
  a description of the plugin

## getName()

virtual QString BALL::BALLPlugin::getName | ( |  | ) | const

pure virtual

Returns the name of the plugin

Returns
  the plugins name

## isActive()

virtual bool BALL::BALLPlugin::isActive | ( |  | ) |

pure virtual

Get the current state of the plugin.

Returns
  true if the plugin is initialized and running, false otherwise